# kavita-books-organizer

A simple script that moves single files to a folder with their name so Kavita will work when scanning the library.

## Installation

Clone this repository, then install dependencies:

```text
npm install
```

## Usage

Set the `FILES_DIR` environment variable to the parent directory for all the files that need to be organized.

Then simply use:

```text
npm start
```

## With Docker

You may use the docker image as such:

```bash
docker run \
  -it \
  --rm \
  --name=kavita-books-organizer \
  -e FILES_DIR=/data \
  -v $PWD/books:/data \
  code.moonstar-x.dev/public/kavita-books-organizer:latest
```
